Get Salary Transactions
curl --request GET \
--url https://api.twine.se/v1/org/salary-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/salary-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/salary-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"employee_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"inserted_at": "2021-06-01T12:00:00Z",
"mappings": [
{
"external_id": "SAL-1024",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"status": "active",
"status_updated_at": "2023-11-07T05:31:56Z"
}
],
"properties": {
"amount": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"cost_center": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"currency": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"custom_properties": {},
"department_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"period_end": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"period_start": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"project": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"quantity": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"total": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"transaction_date": [
{
"valid_from": "2021-06-01",
"value": "2021-06-01T12:00:00Z"
}
],
"transaction_type": [
{
"valid_from": "2021-06-01",
"value": null
}
]
},
"source_system": "twine",
"transaction_date": "2021-06-01",
"updated_at": "2021-06-01T12:00:00Z"
}
],
"pagination": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
}
}{
"code": 400,
"errors": [],
"message": "Bad Request"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}{
"code": 403,
"errors": [],
"message": "Forbidden"
}Salary Transactions
Get Salary Transactions
GET
/
v1
/
org
/
salary-transactions
Get Salary Transactions
Authorizations
Bearer token for authentication
Query Parameters
Cursor pagination
Show child attributes
Show child attributes
Parameters for Salary Transaction ordering
Show child attributes
Show child attributes
Filter parameters for Salary Transaction Parameters for Salary Transaction filtering
Show child attributes
Show child attributes
⌘I